Bug 989685 - x86-64 RPM for v1.3.3 creates symlinks to invalid locations
x86-64 RPM for v1.3.3 creates symlinks to invalid locations
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openfst (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Jerry James
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-29 13:49 EDT by galens
Modified: 2013-08-07 19:08 EDT (History)
2 users (show)

See Also:
Fixed In Version: openfst-1.3.3-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-07 19:07:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description galens 2013-07-29 13:49:19 EDT
Description of problem:
The RPM for openfst v1.3.3 creates the following symlinks:
/usr/lib64/fst/libfstpdtscript.so.0 -> ../libfstpdtscript.so.0
/usr/lib64/fst/libfstfarscript.so.0 -> ../libfstfarscript.so.0
/usr/lib64/fst/libfstfar.so.0 -> ../libfstfar.so.0

There are, however, no RPMs that provide /usr/lib64/libfst*.so.0 ; the links probably should be renamed (and link) to the foo.so.1 binaries.  

Version-Release number of selected component (if applicable):
openfst-1.3.3-2.fc19.x86_64

How reproducible:
Constantly

Steps to Reproduce:
1. $ sudo yum install openfst -y
2. $ symlinks /usr/lib64/fst | grep ^dangling


Actual results:
dangling: /usr/lib64/fst/libfstpdtscript.so.0 -> ../libfstpdtscript.so.0
dangling: /usr/lib64/fst/libfstfarscript.so.0 -> ../libfstfarscript.so.0
dangling: /usr/lib64/fst/libfstfar.so.0 -> ../libfstfar.so.0


Expected results:
<null output>

Additional info:
Comment 1 Jerry James 2013-07-29 14:43:51 EDT
Thanks, I will submit new builds today to fix this.
Comment 2 Fedora Update System 2013-07-29 15:59:25 EDT
openfst-1.3.3-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/openfst-1.3.3-3.fc19
Comment 3 Fedora Update System 2013-07-29 15:59:38 EDT
openfst-1.3.3-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openfst-1.3.3-3.fc18
Comment 4 Fedora Update System 2013-07-30 13:28:20 EDT
Package openfst-1.3.3-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openfst-1.3.3-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13829/openfst-1.3.3-3.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-08-07 19:07:02 EDT
openfst-1.3.3-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-08-07 19:08:53 EDT
openfst-1.3.3-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.